package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: IdentityBindSubmitByTrustedReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:30
 */
@Data
public class Nft014IdentityBindSubmitByTrustedRespDto implements Serializable {
    private String address;
    private static final Nft014IdentityBindSubmitByTrustedRespDto obj = new Nft014IdentityBindSubmitByTrustedRespDto();
    public static Nft014IdentityBindSubmitByTrustedRespDto getNew() {
        try {
            return (Nft014IdentityBindSubmitByTrustedRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft014IdentityBindSubmitByTrustedRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
